# spec file for libgds
#
# Mostly taken from libgds spec file for Mandriva by
# Adam Williamson <awilliamson@mandriva.org>

%define major      2.2.0
%define libname    libgds2
%define develname  libgds-devel

Name:           libgds
Version:        %{major}
Release:        2.1
Summary:        A library of functions and generic data structures
License:        GPL+
Group:          System/Libraries
URL:            http://libgds.sourceforge.net/
Source:         http://downloads.sourceforge.net/project/libgds/libgds-%{major}.tar.gz
BuildRoot:      %_tmppath/%name-%version-build
BuildRequires:  zlib-devel
BuildRequires:  pkg-config

%description
libGDS is a library of functions and generic data structures that is
used in various projects such as C-BGP. The library contains dynamic
arrays, hash tables, radix trees, Patricia trees, tokenizers, FIFO
queues, stacks, string management functions and memory management
functions.

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries

%description -n %{libname}
libGDS is a library of functions and generic data structures that is
used in various projects such as C-BGP. The library contains dynamic
arrays, hash tables, radix trees, Patricia trees, tokenizers, FIFO
queues, stacks, string management functions and memory management
functions.

%package -n %{develname}
Summary:        Development headers for %{name}
Group:          Development/Languages/C and C++
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
libGDS is a library of functions and generic data structures that is
used in various projects such as C-BGP. The library contains dynamic
arrays, hash tables, radix trees, Patricia trees, tokenizers, FIFO
queues, stacks, string management functions and memory management
functions. This package contains the development headers.

%prep
%setup -q -n %{name}-%{major}

%build
%configure --enable-xml
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/%{name}-%{major}.so

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/%{name}.*a
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Oct 12 2013 cs@linux-administrator.com
- re-import and bump to version 2.2.0
